Subject: RE: [BUG] Git 2.38.0-rc1 t1800 message text comparison

From: <[email-masked]>
Date: Wed, 14 Dec 2022 00:53:31 -0500

On September 23, 2022 4:43 PM, I wrote:
>On September 22, 2022 3:03 PM, I wrote:
>>On September 22, 2022 3:02 PM, I wrote:
>>>Rc1 is looking good except for this test.
>>>
>>>We get a diff as follows:
>>>
>>>-fatal: cannot run bad-hooks/test-hook: ...
>>>+fatal: cannot exec 'bad-hooks/test-hook': Permission denied
>>>
>>>It looks like the pattern
>>>sed -e s/test-hook: .*/test-hook: .../
>>>
>>>needs to be a bit extended. Adding
>>>
>>>sed -e s/exec/run/ | send -e s/["']//g
>>>
>>>might help clear off the other noise.
>
>A patch that might work is as follows:
>
>diff --git a/t/t1800-hook.sh b/t/t1800-hook.sh index 43fcb7c0bf..9a723631a2
>100755
>--- a/t/t1800-hook.sh
>+++ b/t/t1800-hook.sh
>@@ -173,7 +173,10 @@ test_expect_success 'git hook run a hook with a bad
>shebang' '
>                -c core.hooksPath=bad-hooks \
>                hook run test-hook >out 2>err &&
>        test_must_be_empty out &&
>-       sed -e "s/test-hook: .*/test-hook: .../" <err >actual &&
>+       quot=`echo "\047"` &&
>+       sed -e "s/exec/run/" <err | \
>+               sed -e "s/$quot//g" | \
>+               sed -e "s/test-hook: .*/test-hook: .../" >actual &&
>        test_cmp expect actual
> '
>
>This does not require setting up a prerequisite for NonStop and the
technique
>might make the MING code easier but adding a change from spawn to run.

This is still broken on NonStop. Is there any hope of a resolution?

Thanks,
Randall